This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 431609 - boost/spirit/phoenix/operators.hpp seems to be missing an #include
boost/spirit/phoenix/operators.hpp seems to be missing an #include
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
http://koji.fedoraproject.org/koji/ge...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 16:22 EST by Braden McDaniel
Modified: 2013-08-09 01:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 14:57:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2008-02-05 16:22:33 EST
Description of problem:
When including (indirectly) "boost/spirit/phoenix/operators.hpp", I get the following error:

/usr/include/boost/spirit/phoenix/operators.hpp:355: error: 'INT_MAX' was not declared in this scope

Version-Release number of selected component (if applicable):
1.34.1-7.fc9
Comment 1 Petr Machata 2008-02-06 14:57:27 EST
This is related to recent GCC 4.3 introduction.  I have fixed this and a bunch
of other problems that popped up during the build.

Note You need to log in before you can comment on or make changes to this bug.